# PassPractice

## Overview
`PassPractice` is a command-line tool designed to help users practice typing and memorizing passwords. It operates in two modes: Store Mode for storing passwords and Verify Mode for practicing them. The program measures the time taken to type the password and calculates the typing speed.

## Features
- **Store Mode**: Hash and store a password securely.
- **Verify Mode**: Practice typing the stored password and get immediate feedback.
- **Timing**: Measure how long it takes to type the password.
- **Typing Speed**: Calculate the characters per second rate while typing the password.
- **Security**: Passwords are not displayed on the screen as they are typed.

## Installation
1. Clone the repository or download the source code.
2. Navigate to the project directory.
3. Compile the program using:
   ```
   make build
   ```

## Usage
- **Store a Password**:
  ```
  ./build/PassPractice -s
  ```
- **Practice Typing a Password**:
  ```
  ./build/PassPractice
  ```

## Commands
- `-s, --store`: Enter Store Mode to store a new password.
- `-v, --version`: Display version information.
- `-h, --help`: Display help text.

## License
This project is licensed under the MIT License - see the LICENSE file for details.
